/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.layerlist;

import java.util.Arrays;
import java.util.List;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.Node;

/**
 * Fasctory for the creation of layer nodes in the layerlist
 *
 * @author Timon Veenstra
 */
class LayerListChildFactory extends ChildFactory<LayerListController.LayerWrapper> {

    private final LayerListController controller;

    public LayerListChildFactory(LayerListController layerController) {
        this.controller = layerController;
    }

    public void refresh() {
        refresh(true);
    }

    @Override
    protected boolean createKeys(List<LayerListController.LayerWrapper> toPopulate) {
        toPopulate.addAll(Arrays.asList(this.controller.getLayerNodes()));
        return true;
    }

    @Override
    protected Node createNodeForKey(final LayerListController.LayerWrapper key) {
        return new LayerListNode(key);
    }
}
