/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.geoviewer.jxmap.map;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import nl.cloudfarming.client.geoviewer.SingleObjectLayer;
import nl.cloudfarming.client.geoviewer.SplitGeometryHandler;
import nl.cloudfarming.client.geoviewer.event.GeoEvent;
import org.openide.nodes.Node;
import org.openide.util.NbBundle;

/**
 *
 * @author johan
 */
@NbBundle.Messages("split_geometry_action_name=Split geometry")
public class SplitGeometryAction extends AbstractAction {
    private final Node node;
    
    public SplitGeometryAction(final Node node) {
        this.node = node;
        putValue(NAME, Bundle.split_geometry_action_name());
        SingleObjectLayer layer = node.getLookup().lookup(SingleObjectLayer.class);
        setEnabled(layer.hasGeometry());
    }
    
    @Override
    public void actionPerformed(ActionEvent e) {
        GeoEvent.getProducer().triggerEvent(GeoEvent.SPLIT_LAYER, node);
    }
}
